<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Adresse extends Model
{
    /** @use HasFactory<\Database\Factories\AdresseFactory> */
    use HasFactory;
    protected $fillable = [
        'ville',
        'commune',
        'quartier',
        'avenue',
        'numero',
    ];

    public function adresse()
    {
        return $this->belongsTo(Chapelle::class);
    }
    public function personne()
    {
        return $this->belongsTo(Personne::class);
    }
}